<h2 style="text-align:center">OPEN SOURCE SOFTWARE NOTICE</h2>
<p>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just “this product”). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</p>
<h3>Warranty Disclaimer</h3>
<p><strong>THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.</strong></p>
<h3>Copyright Notice and License Texts</h3>
<h4>Software: UPnP SDK for Linux - libupnp 1.14.18</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 1996-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2004 Scott James Remnant <a href="mailto:scott@netsplit.com">scott@netsplit.com</a></p>
<p>Copyright (c) 2012-2015 Dan Nicholson <a href="mailto:dbn.lists@gmail.com">dbn.lists@gmail.com</a></p>
<p>Copyright (c) 2002-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2011-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2001-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 1997-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 1999-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2003-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2009-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2006-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2004-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 1992-1996, 1998-2017, 2020-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2014 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2005-2007 Remi Turboult <a href="mailto:r3mi@users.sourceforge.net">r3mi@users.sourceforge.net</a></p>
<p>Copyright (c) 2000-2003 Intel Corporation</p>
<p>Copyright (c) 2005 Remi Turboult <a href="mailto:r3mi@users.sourceforge.net">r3mi@users.sourceforge.net</a></p>
<p>Copyright (c) 1994-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2005-2006 Remi Turboult <a href="mailto:r3mi@users.sourceforge.net">r3mi@users.sourceforge.net</a></p>
<p>Copyright (c) 2006 Michel Pfeiffer and others <a href="mailto:virtual_worlds@gmx.de">virtual_worlds@gmx.de</a></p>
<p>Copyright (c) 2010-2021 Free Software Foundation, Inc.</p>
<p>Copyright 1992-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 1994 X Consortium</p>
<p>Copyright (c) 1996-2019, 2021-2022 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2004-2019, 2021 Bootstrap</p>
<p>Copyright (c) 2010-2019, 2021 Bootstrap</p>
<p>Copyright (c) 2021 Vollstrecker (werner@vollstreckernet.de)</p>
<p>Copyright (c) 2020 Marcelo Roberto Jimenez</p>
<p>Copyright (c) 2005 Remi Turboult <a href="mailto:r3mi@users.sourceforge.net">r3mi@users.sourceforge.net</a></p>
<p>Copyright (c) 2012 France Telecom</p>
<p>Copyright (c) 2006 Remi Turboult <a href="mailto:r3mi@users.sourceforge.net">r3mi@users.sourceforge.net</a></p>
<p>copyright (c) 1998 the designated</p>
<p>copyright (c) 1998 Rick Jelliffe and Computing Center, Academia</p>
<p>Copyright 1998 Academia Sinica Computing Center</p>
<p>Copyright (c) 2006 Guido U. Draheim <a href="mailto:guidod@gmx.de">guidod@gmx.de</a></p>
<p>Copyright (c) 2008 Steven G. Johnson <a href="mailto:stevenj@alum.mit.edu">stevenj@alum.mit.edu</a></p>
<p>Copyright (c) 2011 Daniel Richard G. <a href="mailto:skunk@iSKUNK.ORG">skunk@iSKUNK.ORG</a></p>
<p>Copyright (c) 2008 Guido U. Draheim <a href="mailto:guidod@gmx.de">guidod@gmx.de</a></p>
<p>Copyright (c) 1996-2001, 2003-2019, 2021-2022 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2011 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2004-2005, 2007-2009, 2011-2019, 2021-2022 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2004-2005, 2007-2008, 2011-2019, 2021-2022 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2004, 2011-2019, 2021-2022 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2004-2005, 2007, 2009, 2011-2019, 2021-2022 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2011-2012 France Telecom</p>
<p>Copyright (c) 2006 Remi Turboult <a href="mailto:r3mi@users.sourceforge.net">r3mi@users.sourceforge.net</a></p>
<p>Copyright (c) 2003-2008 aMule Team</p>
<p>Copyright (c) 2007 Marcelo Roberto Jimenez <a href="mailto:mroberto@users.sourceforge.net">mroberto@users.sourceforge.net</a></p>
<p>Copyright (c) 1996-1999 by Internet Software Consortium</p>
<p>Copyright (c) 1990- 1993, 1996 Open Software Foundation, Inc.</p>
<p>Copyright (c) 1989 by Hewlett-Packard Company, Palo Alto, Ca. &amp; Digital Equipment Corporation, Maynard, Mass</p>
<p>Copyright (c) 1998 Microsoft. To</p>
<p>Copyright (c) 2018 Jean-Francois Dockes <a href="mailto:jfd@recoll.org">jfd@recoll.org</a></p>
<h5>License: BSD 3-Clause License</h5>
<p>Copyright (c) &lt;YEAR&gt;, &lt;OWNER&gt;
All rights reserved.</p>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<ol>
<li>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
</li>
<li>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
</li>
<li>
<p>Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
</li>
</ol>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>
<h3>Written Offer</h3>
<p>This product contains software whose rights holders license it on the terms of the GNU General Public License, version 2 (GPLv2) and/or other open source software licenses. We will provide you and any third party with the source code of the software licensed under an open source software license if you send us a written request by mail or email to the following addresses:</p>
<p><a href="mailto:mobile@huawei.com">mobile@huawei.com</a></p>
<p>detailing the name of the product and the firmware version for which you need the source code and indicating how we can contact you.
Please note you need to make a payment before you obtain the complete Corresponding Source Code from us. For how much you will pay and how we will deliver the complete Corresponding Source Code to you, we will further discuss it by mail or email.
This offer is valid to anyone in receipt of this information.</p>
<p>Please note you need to make a payment before you obtain the complete Corresponding Source Code from us. For how much you will pay and how we will deliver the complete Corresponding Source Code to you, we will further discuss it by mail or email.</p>
<p>This offer is valid to anyone in receipt of this information.</p>
<p><strong>THIS OFFER IS VALID FOR THREE YEARS FROM THE MOMENT WE DISTRIBUTED THE PRODUCT OR FIRMWARE.</strong></p>
